<?xml version="1.0" encoding="utf-8"?>
<MUPDefinition xmlns="http://schemas.dell.com/openmanage/cm/2/0/mupdefinition.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://schemas.dell.com/openmanage/cm/2/0/mupdefinition.xsd mupdefinition.xsd">
  <packageinformation>
    <name>Intel(R) Virtual RAID on CPU</name>
    <version>7.7.0.1273</version>
    <installertype>msi</installertype>
    <packagegrouping>single_package</packagegrouping>
    <packagingtype>zip</packagingtype>
    <releasetype>DRVR</releasetype>
    <mupspecificationversion>2.4.3</mupspecificationversion>
    <supportedoperatingsystems>
      <!-- Client -->
      <osidentifier architecture="x64" name="Windows8.1" />
      <osidentifier architecture="x64" name="Windows10" />
      <!-- Server -->
      <osidentifier architecture="x64" name="W2K12R2" />
    </supportedoperatingsystems>
    <content>
      <Device componentID="100346">
        <!-- Source: iaNullVMD.inf - 7.5.0.1990 -->
        <PCIInfo vendorID="8086" deviceID="09AB" />
        <Image type="DRVR" version="7.5.0.1990">
          <file>production\Windows8.1-x64\iaNullVMD.inf\7.5.0.1990\ianullvmd.cat</file>
          <file>production\Windows8.1-x64\iaNullVMD.inf\7.5.0.1990\iaNullVMD.inf</file>
          <file>production\Windows10-x64\iaNullVMD.inf\7.5.0.1990\ianullvmd.cat</file>
          <file>production\Windows10-x64\iaNullVMD.inf\7.5.0.1990\iaNullVMD.inf</file>
          <file>production\W2K12R2-x64\iaNullVMD.inf\7.5.0.1990\ianullvmd.cat</file>
          <file>production\W2K12R2-x64\iaNullVMD.inf\7.5.0.1990\iaNullVMD.inf</file>
        </Image>
      </Device>
      <Device componentID="100346">
        <!-- Source: iaRNVMe.inf - 7.7.0.1260 -->
        <PCIInfo vendorID="8086" deviceID="0953" />
        <PCIInfo vendorID="8086" deviceID="0A53" />
        <PCIInfo vendorID="8086" deviceID="0A54" />
        <PCIInfo vendorID="8086" deviceID="0A55" />
        <PCIInfo vendorID="8086" deviceID="2701" />
        <PCIInfo vendorID="8086" deviceID="F1A6" />
        <PCIInfo vendorID="8086" deviceID="0A60" />
        <Image type="DRVR" version="7.7.0.1260">
          <file>production\Windows8.1-x64\iaRNVMe.inf\7.7.0.1260\iarnvme.cat</file>
          <file>production\Windows8.1-x64\iaRNVMe.inf\7.7.0.1260\iaRNVMe.inf</file>
          <file>production\Windows8.1-x64\iaRNVMe.inf\7.7.0.1260\iaRNVMe.sys</file>
          <file>production\Windows8.1-x64\iaRNVMe.inf\7.7.0.1260\iarnvmevirt.cat</file>
          <file>production\Windows8.1-x64\iaRNVMe.inf\7.7.0.1260\iaRNVMeVirt.inf</file>
          <file>production\Windows10-x64\iaRNVMe.inf\7.7.0.1260\iarnvme.cat</file>
          <file>production\Windows10-x64\iaRNVMe.inf\7.7.0.1260\iaRNVMe.inf</file>
          <file>production\Windows10-x64\iaRNVMe.inf\7.7.0.1260\iaRNVMe.sys</file>
          <file>production\Windows10-x64\iaRNVMe.inf\7.7.0.1260\iarnvmevirt.cat</file>
          <file>production\Windows10-x64\iaRNVMe.inf\7.7.0.1260\iaRNVMeVirt.inf</file>
          <file>production\W2K12R2-x64\iaRNVMe.inf\7.7.0.1260\iarnvme.cat</file>
          <file>production\W2K12R2-x64\iaRNVMe.inf\7.7.0.1260\iaRNVMe.inf</file>
          <file>production\W2K12R2-x64\iaRNVMe.inf\7.7.0.1260\iaRNVMe.sys</file>
          <file>production\W2K12R2-x64\iaRNVMe.inf\7.7.0.1260\iarnvmevirt.cat</file>
          <file>production\W2K12R2-x64\iaRNVMe.inf\7.7.0.1260\iaRNVMeVirt.inf</file>
        </Image>
      </Device>
      <Device componentID="100346">
        <!-- Source: iaRNVMeVirt.inf - 7.7.0.1260 -->
        <PCIInfo vendorID="8086" deviceID="2F9C" />
        <PCIInfo vendorID="8086" deviceID="6F9C" />
        <PCIInfo vendorID="8086" deviceID="A135" />
        <PCIInfo vendorID="8086" deviceID="A37C" />
        <PCIInfo vendorID="8086" deviceID="43FC" />
        <Image type="DRVR" version="7.7.0.1260">
          <file>production\Windows8.1-x64\iaRNVMeVirt.inf\7.7.0.1260\iarnvme.cat</file>
          <file>production\Windows8.1-x64\iaRNVMeVirt.inf\7.7.0.1260\iaRNVMe.inf</file>
          <file>production\Windows8.1-x64\iaRNVMeVirt.inf\7.7.0.1260\iaRNVMe.sys</file>
          <file>production\Windows8.1-x64\iaRNVMeVirt.inf\7.7.0.1260\iarnvmevirt.cat</file>
          <file>production\Windows8.1-x64\iaRNVMeVirt.inf\7.7.0.1260\iaRNVMeVirt.inf</file>
          <file>production\Windows10-x64\iaRNVMeVirt.inf\7.7.0.1260\iarnvme.cat</file>
          <file>production\Windows10-x64\iaRNVMeVirt.inf\7.7.0.1260\iaRNVMe.inf</file>
          <file>production\Windows10-x64\iaRNVMeVirt.inf\7.7.0.1260\iaRNVMe.sys</file>
          <file>production\Windows10-x64\iaRNVMeVirt.inf\7.7.0.1260\iarnvmevirt.cat</file>
          <file>production\Windows10-x64\iaRNVMeVirt.inf\7.7.0.1260\iaRNVMeVirt.inf</file>
          <file>production\W2K12R2-x64\iaRNVMeVirt.inf\7.7.0.1260\iarnvme.cat</file>
          <file>production\W2K12R2-x64\iaRNVMeVirt.inf\7.7.0.1260\iaRNVMe.inf</file>
          <file>production\W2K12R2-x64\iaRNVMeVirt.inf\7.7.0.1260\iaRNVMe.sys</file>
          <file>production\W2K12R2-x64\iaRNVMeVirt.inf\7.7.0.1260\iarnvmevirt.cat</file>
          <file>production\W2K12R2-x64\iaRNVMeVirt.inf\7.7.0.1260\iaRNVMeVirt.inf</file>
        </Image>
      </Device>
      <Device componentID="100346">
        <!-- Source: iaStorB.inf - 7.7.0.1260 -->
        <PCIInfo vendorID="8086" deviceID="2827" />
        <Image type="DRVR" version="7.7.0.1260">
          <file>production\Windows8.1-x64\iaStorB.inf\7.7.0.1260\iastorb.cat</file>
          <file>production\Windows8.1-x64\iaStorB.inf\7.7.0.1260\iaStorB.inf</file>
          <file>production\Windows8.1-x64\iaStorB.inf\7.7.0.1260\iaStorB.sys</file>
          <file>production\Windows8.1-x64\iaStorB.inf\7.7.0.1260\iastore.cat</file>
          <file>production\Windows8.1-x64\iaStorB.inf\7.7.0.1260\iaStorE.inf</file>
          <file>production\Windows8.1-x64\iaStorB.inf\7.7.0.1260\iaStorE.sys</file>
          <file>production\Windows10-x64\iaStorB.inf\7.7.0.1260\iastorb.cat</file>
          <file>production\Windows10-x64\iaStorB.inf\7.7.0.1260\iaStorB.inf</file>
          <file>production\Windows10-x64\iaStorB.inf\7.7.0.1260\iaStorB.sys</file>
          <file>production\Windows10-x64\iaStorB.inf\7.7.0.1260\iastore.cat</file>
          <file>production\Windows10-x64\iaStorB.inf\7.7.0.1260\iaStorE.inf</file>
          <file>production\Windows10-x64\iaStorB.inf\7.7.0.1260\iaStorE.sys</file>
          <file>production\W2K12R2-x64\iaStorB.inf\7.7.0.1260\iastorb.cat</file>
          <file>production\W2K12R2-x64\iaStorB.inf\7.7.0.1260\iaStorB.inf</file>
          <file>production\W2K12R2-x64\iaStorB.inf\7.7.0.1260\iaStorB.sys</file>
          <file>production\W2K12R2-x64\iaStorB.inf\7.7.0.1260\iastore.cat</file>
          <file>production\W2K12R2-x64\iaStorB.inf\7.7.0.1260\iaStorE.inf</file>
          <file>production\W2K12R2-x64\iaStorB.inf\7.7.0.1260\iaStorE.sys</file>
        </Image>
      </Device>
      <Device componentID="100346">
        <!-- Source: iaStorE.inf - 7.7.0.1260 -->
        <PCIInfo vendorID="8086" deviceID="2826" subVendorID="047D" subDeviceID="1014" />
        <PCIInfo vendorID="8086" deviceID="2826" subVendorID="0481" subDeviceID="1014" />
        <PCIInfo vendorID="8086" deviceID="2826" subVendorID="0485" subDeviceID="1014" />
        <PCIInfo vendorID="8086" deviceID="2826" subVendorID="11B6" subDeviceID="1734" />
        <PCIInfo vendorID="8086" deviceID="2826" subVendorID="2010" subDeviceID="19E5" />
        <PCIInfo vendorID="8086" deviceID="2826" subVendorID="2012" subDeviceID="19E5" />
        <PCIInfo vendorID="8086" deviceID="2826" subVendorID="2013" subDeviceID="19E5" />
        <PCIInfo vendorID="8086" deviceID="2826" subVendorID="2015" subDeviceID="19E5" />
        <PCIInfo vendorID="8086" deviceID="2826" subVendorID="2016" subDeviceID="19E5" />
        <PCIInfo vendorID="8086" deviceID="2826" subVendorID="201B" subDeviceID="19E5" />
        <PCIInfo vendorID="8086" deviceID="2826" subVendorID="201D" subDeviceID="19E5" />
        <PCIInfo vendorID="8086" deviceID="2826" subVendorID="201F" subDeviceID="19E5" />
        <PCIInfo vendorID="8086" deviceID="2826" subVendorID="2822" subDeviceID="8086" />
        <PCIInfo vendorID="8086" deviceID="2826" subVendorID="306E" subDeviceID="1054" />
        <PCIInfo vendorID="8086" deviceID="2826" subVendorID="7270" subDeviceID="8086" />
        <PCIInfo vendorID="8086" deviceID="2826" />
        <Image type="DRVR" version="7.7.0.1260">
          <file>production\Windows8.1-x64\iaStorE.inf\7.7.0.1260\iastorb.cat</file>
          <file>production\Windows8.1-x64\iaStorE.inf\7.7.0.1260\iaStorB.inf</file>
          <file>production\Windows8.1-x64\iaStorE.inf\7.7.0.1260\iaStorB.sys</file>
          <file>production\Windows8.1-x64\iaStorE.inf\7.7.0.1260\iastore.cat</file>
          <file>production\Windows8.1-x64\iaStorE.inf\7.7.0.1260\iaStorE.inf</file>
          <file>production\Windows8.1-x64\iaStorE.inf\7.7.0.1260\iaStorE.sys</file>
          <file>production\Windows10-x64\iaStorE.inf\7.7.0.1260\iastorb.cat</file>
          <file>production\Windows10-x64\iaStorE.inf\7.7.0.1260\iaStorB.inf</file>
          <file>production\Windows10-x64\iaStorE.inf\7.7.0.1260\iaStorB.sys</file>
          <file>production\Windows10-x64\iaStorE.inf\7.7.0.1260\iastore.cat</file>
          <file>production\Windows10-x64\iaStorE.inf\7.7.0.1260\iaStorE.inf</file>
          <file>production\Windows10-x64\iaStorE.inf\7.7.0.1260\iaStorE.sys</file>
          <file>production\W2K12R2-x64\iaStorE.inf\7.7.0.1260\iastorb.cat</file>
          <file>production\W2K12R2-x64\iaStorE.inf\7.7.0.1260\iaStorB.inf</file>
          <file>production\W2K12R2-x64\iaStorE.inf\7.7.0.1260\iaStorB.sys</file>
          <file>production\W2K12R2-x64\iaStorE.inf\7.7.0.1260\iastore.cat</file>
          <file>production\W2K12R2-x64\iaStorE.inf\7.7.0.1260\iaStorE.inf</file>
          <file>production\W2K12R2-x64\iaStorE.inf\7.7.0.1260\iaStorE.sys</file>
        </Image>
      </Device>
      <Device componentID="100346">
        <!-- Source: iaVROC.inf - 7.7.0.1260 -->
        <PCIInfo vendorID="8086" deviceID="201D" />
        <PCIInfo vendorID="8086" deviceID="28C0" />
        <Image type="DRVR" version="7.7.0.1260">
          <file>production\Windows8.1-x64\iaVROC.inf\7.7.0.1260\iavroc.cat</file>
          <file>production\Windows8.1-x64\iaVROC.inf\7.7.0.1260\iaVROC.inf</file>
          <file>production\Windows8.1-x64\iaVROC.inf\7.7.0.1260\iaVROC.sys</file>
          <file>production\Windows10-x64\iaVROC.inf\7.7.0.1260\iavroc.cat</file>
          <file>production\Windows10-x64\iaVROC.inf\7.7.0.1260\iaVROC.inf</file>
          <file>production\Windows10-x64\iaVROC.inf\7.7.0.1260\iaVROC.sys</file>
          <file>production\W2K12R2-x64\iaVROC.inf\7.7.0.1260\iavroc.cat</file>
          <file>production\W2K12R2-x64\iaVROC.inf\7.7.0.1260\iaVROC.inf</file>
          <file>production\W2K12R2-x64\iaVROC.inf\7.7.0.1260\iaVROC.sys</file>
        </Image>
      </Device>
    </content>
  </packageinformation>
  <executable>
    <executablename>SetupVROC.exe</executablename>
    <requiredparameters>
      <commandlineparameter>/mupbehavior</commandlineparameter>
    </requiredparameters>
  </executable>
  <behaviors>
    <behavior name="attended" />
    <behavior name="unattended">
      <vendoroption>
        <optionvalue switch="/" requiresvalue="false">s</optionvalue>
      </vendoroption>
      <vendoroption>
        <optionvalue switch="/" requiresvalue="false">norestart</optionvalue>
      </vendoroption>
    </behavior>
    <behavior name="extractdrivers">
      <vendoroption>
        <optionvalue switch="/" requiresvalue="false">s</optionvalue>
      </vendoroption>
      <vendoroption>
        <optionvalue switch="/" requiresvalue="true" valuedelimiter=" " enclose="&quot;">extractmup</optionvalue>
      </vendoroption>
    </behavior>
    <behavior name="freshinstall" />
  </behaviors>
  <parameters>
    <parametermapping name="logfile">
      <vendoroption>
        <optionvalue switch="/" requiresvalue="true" valuedelimiter=" " enclose="&quot;">log</optionvalue>
      </vendoroption>
    </parametermapping>
  </parameters>
  <returncodes>
    <!-- Warning: If this section ever changes, then the IIF 4.0 BA needs to be updated as well. -->
    <!-- Success codes -->
    <returncodemapping name="SUCCESS">
      <vendorreturncode>0</vendorreturncode>
    </returncodemapping>
    <returncodemapping name="REBOOTING_SYSTEM">
      <vendorreturncode>1641</vendorreturncode>
    </returncodemapping>
    <returncodemapping name="REBOOT_REQUIRED">
      <vendorreturncode>3010</vendorreturncode>
    </returncodemapping>
    <!-- Error codes -->
    <returncodemapping name="ERROR">
      <vendorreturncode>1223</vendorreturncode>
      <vendorreturncode>1602</vendorreturncode>
      <vendorreturncode>1603</vendorreturncode>
    </returncodemapping>
    <returncodemapping name="UNKNOWN_OPTION">
      <vendorreturncode>1639</vendorreturncode>
    </returncodemapping>
    <returncodemapping name="NO_DOWNGRADE">
      <vendorreturncode>20005</vendorreturncode>
    </returncodemapping>
    <returncodemapping name="PASSWORD_REQUIRED">
      <vendorreturncode>5</vendorreturncode>
    </returncodemapping>
    <returncodemapping name="ERROR_INSTALL_PLATFORM_UNSUPPORTED">
      <vendorreturncode>1633</vendorreturncode>
      <vendorreturncode>20002</vendorreturncode>
      <vendorreturncode>20004</vendorreturncode>
    </returncodemapping>
  </returncodes>
  <inventorymetadata>
    <extractdriversidentifier>
      <pnpids>
        <pnpdevice componentID="100346">
          <!-- Source: iaNullVMD.inf - 7.5.0.1990 -->
          <driverversion>7.5.0.1990</driverversion>
          <pciinfo vendorID="8086" deviceID="09AB" />
        </pnpdevice>
        <pnpdevice componentID="100346">
          <!-- Source: iaRNVMe.inf - 7.7.0.1260 -->
          <driverversion>7.7.0.1260</driverversion>
          <pciinfo vendorID="8086" deviceID="0953" />
          <pciinfo vendorID="8086" deviceID="0A53" />
          <pciinfo vendorID="8086" deviceID="0A54" />
          <pciinfo vendorID="8086" deviceID="0A55" />
          <pciinfo vendorID="8086" deviceID="2701" />
          <pciinfo vendorID="8086" deviceID="F1A6" />
          <pciinfo vendorID="8086" deviceID="0A60" />
        </pnpdevice>
        <pnpdevice componentID="100346">
          <!-- Source: iaRNVMeVirt.inf - 7.7.0.1260 -->
          <driverversion>7.7.0.1260</driverversion>
          <pciinfo vendorID="8086" deviceID="2F9C" />
          <pciinfo vendorID="8086" deviceID="6F9C" />
          <pciinfo vendorID="8086" deviceID="A135" />
          <pciinfo vendorID="8086" deviceID="A37C" />
          <pciinfo vendorID="8086" deviceID="43FC" />
        </pnpdevice>
        <pnpdevice componentID="100346">
          <!-- Source: iaStorB.inf - 7.7.0.1260 -->
          <driverversion>7.7.0.1260</driverversion>
          <pciinfo vendorID="8086" deviceID="2827" />
        </pnpdevice>
        <pnpdevice componentID="100346">
          <!-- Source: iaStorE.inf - 7.7.0.1260 -->
          <driverversion>7.7.0.1260</driverversion>
          <pciinfo vendorID="8086" deviceID="2826" subVendorID="047D" subDeviceID="1014" />
          <pciinfo vendorID="8086" deviceID="2826" subVendorID="0481" subDeviceID="1014" />
          <pciinfo vendorID="8086" deviceID="2826" subVendorID="0485" subDeviceID="1014" />
          <pciinfo vendorID="8086" deviceID="2826" subVendorID="11B6" subDeviceID="1734" />
          <pciinfo vendorID="8086" deviceID="2826" subVendorID="2010" subDeviceID="19E5" />
          <pciinfo vendorID="8086" deviceID="2826" subVendorID="2012" subDeviceID="19E5" />
          <pciinfo vendorID="8086" deviceID="2826" subVendorID="2013" subDeviceID="19E5" />
          <pciinfo vendorID="8086" deviceID="2826" subVendorID="2015" subDeviceID="19E5" />
          <pciinfo vendorID="8086" deviceID="2826" subVendorID="2016" subDeviceID="19E5" />
          <pciinfo vendorID="8086" deviceID="2826" subVendorID="201B" subDeviceID="19E5" />
          <pciinfo vendorID="8086" deviceID="2826" subVendorID="201D" subDeviceID="19E5" />
          <pciinfo vendorID="8086" deviceID="2826" subVendorID="201F" subDeviceID="19E5" />
          <pciinfo vendorID="8086" deviceID="2826" subVendorID="2822" subDeviceID="8086" />
          <pciinfo vendorID="8086" deviceID="2826" subVendorID="306E" subDeviceID="1054" />
          <pciinfo vendorID="8086" deviceID="2826" subVendorID="7270" subDeviceID="8086" />
          <pciinfo vendorID="8086" deviceID="2826" />
        </pnpdevice>
        <pnpdevice componentID="100346">
          <!-- Source: iaVROC.inf - 7.7.0.1260 -->
          <driverversion>7.7.0.1260</driverversion>
          <pciinfo vendorID="8086" deviceID="201D" />
          <pciinfo vendorID="8086" deviceID="28C0" />
        </pnpdevice>
      </pnpids>
    </extractdriversidentifier>
    <fullpackageidentifier>
      <msis>
        <msi componentID="100346">
          <version>7.7.0.1273</version>
          <upgradecode>{BD2F00BC-5B64-4776-8B7A-4B0FF8DC41FC}</upgradecode>
          <identifyingnumber>{15C52B4C-8DC4-4DAE-B6DA-85672EBB56E5}</identifyingnumber>
        </msi>
        <msi componentID="100346">
          <version>7.7.0.1273</version>
          <upgradecode>{BD2F00BC-5B64-4776-8B7A-4B0FF8DC41FC}</upgradecode>
          <identifyingnumber>{7B3CF0EF-0CCF-44AE-9857-32778E29DFA6}</identifyingnumber>
        </msi>
      </msis>
    </fullpackageidentifier>
  </inventorymetadata>
</MUPDefinition>